apiVersion: v1
kind: Service
metadata:
  name: hello-world-two
  annotations:
    prometheus.io/port: "hello2-metrics"
    prometheus.io/scrape: "true"
  labels:
    app.kubernetes.io/part-of: hello-world-two-svc
spec:
  ports:
    - port: 8080
      protocol: TCP
      targetPort: 8080
      name: "hello2-metrics"
  selector:
    app: hello-world-two
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: hello-world-two
  name: hello-world-two
spec:
  replicas: 2
  selector:
    matchLabels:
      app: hello-world-two
  template:
    metadata:
      labels:
        app: hello-world-two
    spec:
      containers:
        - image: mhdbashar/ms-demo
          name: ms-demo
          ports:
            - containerPort: 8080
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
